# waypoint.h File Reference

Template Header. More...

`#include "time.h"`
`#include "real.h"`
`#include "value.h"`
`#include "uniqueid.h"`
`#include <vector>`
`#include "guid.h"`
`#include "interpolation.h"`

Go to the source code of this file.

## Namespaces

namespace | synfig

## Classes

class | synfig::Waypoint
class | synfig::Waypoint::Model

## Defines

#define | FLAG_MACRO(x) bool get_##x##_flag()const { return x##_flag; } void set_##x##_flag(bool y) { x##_flag=y; }

## Typedefs

typedef std::vector< Waypoint > | synfig::WaypointList

## Detailed Description

Template Header.

$Id$

## Define Documentation

#define FLAG_MACRO | ( | x |  | ) | bool get_##x##_flag()const { return x##_flag; } void set_##x##_flag(bool y) { x##_flag=y; }